package be.iminds.ilabt.jfed.experiment.events;

/**
 * User: twalcari
 * Date: 1/11/2016
 * Time: 09:31
 */
public class ExperimentEventType<T extends ExperimentEvent> {

    public static final ExperimentEventType<ExperimentEvent> ROOT = new ExperimentEventType<>(null, "ROOT");

    private final ExperimentEventType<? super T> superType;
    private final String name;

    public ExperimentEventType(ExperimentEventType<? super T> superType, String name) {
        this.superType = superType;
        this.name = name;
    }

    public ExperimentEventType<? super T> getSuperType() {
        return superType;
    }

    public String getName() {
        return name;
    }


}
